### Name: sde.sim
### Title: Simulation of Stochastic Differential Equation
### Aliases: sde.sim
### Keywords: datagen ts

### ** Examples

# Ornstein-Uhlenbeck process
# beta = 5
# sigma = 3.5
set.seed(123)
d <- expression(-5 * x)
s <- expression(3.5) 
sde.sim(X0=10,drift=d, sigma=s) -> X
plot(X,main="Ornstein-Uhlenbeck")

# Cox-Ingersoll-Ross (CIR-1)
# a = 3
# theta = 2
# lambda = 5
set.seed(123)
d <- expression( 3*(2-x) ) 
s <- expression( 5*sqrt(x) ) 
sde.sim(X0=10,drift=d, sigma=s) -> X
plot(X,main="Cox-Ingersoll-Ross")



